summaryrefslogtreecommitdiff
path: root/help/C/text.page
diff options
context:
space:
mode:
authorYasumichi Akahoshi <yasumichi@vinelinux.org>2011-11-19 02:55:00 +0900
committerTiffany Antopolski <tiffany.antopolski@gmail.com>2011-12-17 13:23:47 -0500
commitf1bf713d0fcd86d38b119d95b276f67245123810 (patch)
tree0c6fe0869ff8d74b15850cdb15c4c0975c45f373 /help/C/text.page
parent43b79214894e293b08d4f8bdbe19243bf62d0559 (diff)
Add mallard pages and update screenshots.
Signed-off-by: Yasumichi Akahoshi <yasumichi@vinelinux.org>
Diffstat (limited to 'help/C/text.page')
-rw-r--r--help/C/text.page85
1 files changed, 85 insertions, 0 deletions
diff --git a/help/C/text.page b/help/C/text.page
new file mode 100644
index 0000000..f01166e
--- /dev/null
+++ b/help/C/text.page
@@ -0,0 +1,85 @@
+<page xmlns="http://projectmallard.org/1.0/"
+ type="topic"
+ id="text">
+ <info>
+ <link type="guide" xref="index#dialogs"/>
+ <desc>Use the <cmd>--text-info</cmd> option.</desc>
+ </info>
+ <title>Text Information Dialog</title>
+ <p>
+ Use the <cmd>--text-info</cmd> option to create a text information dialog.
+ </p>
+
+ <p>
+ The text information dialog supports the following options:
+ </p>
+
+ <terms>
+
+ <item>
+ <title><cmd>--filename</cmd>=<var>filename</var></title>
+ <p>Specifies a file that is loaded in the text information dialog.</p>
+ </item>
+
+ <item>
+ <title><cmd>--editable</cmd></title>
+ <p>Allows the displayed text to be edited. The edited text is returned to standard output when the dialog is closed.</p>
+ </item>
+
+ <item>
+ <title><cmd>--font</cmd>=<var>FONT</var></title>
+ <p>Specifies the text font.</p>
+ </item>
+
+ <item>
+ <title><cmd>--checkbox</cmd>=<var>TEXT</var></title>
+ <p>Enable a checkbox for use like a 'I read and accept the terms.'</p>
+ </item>
+
+ <item>
+ <title><cmd>--html</cmd></title>
+ <p>Enable html support.</p>
+ </item>
+
+ <item>
+ <title><cmd>--url</cmd>=<var>URL</var></title>
+ <p>Sets an url instead of a file. Only works if you use --html option.</p>
+ </item>
+
+ </terms>
+
+ <p>
+ The following example script shows how to create a text information dialog:
+ </p>
+
+<code>
+#!/bin/sh
+
+# You must place file "COPYING" in same folder of this script.
+FILE=`dirname $0`/COPYING
+
+zenity --text-info \
+ --title="License" \
+ --filename=$FILE \
+ --checkbox="I read and accept the terms."
+
+case $? in
+ 0)
+ echo "Start installation!"
+ # next step
+ ;;
+ 1)
+ echo "Stop installation!"
+ ;;
+ -1)
+ echo "An unexpected error has occurred."
+ ;;
+esac
+</code>
+
+ <figure id="zenity-text-screenshot">
+ <title>Text Information Dialog Example</title>
+ <desc><app>Zenity</app> text information dialog example</desc>
+ <media type="image" mime="image/png" src="figures/zenity-text-screenshot.png"/>
+ </figure>
+</page>